# $Revision: 1.267BL1 $, $Date: 2008/09/22 14:11:47 $
# TODO:
# - test mysql (failed at this time)
# - mysql issue: http://www.freebsd.org/cgi/query-pr.cgi?pr=76866
# - fam over gamin is possible, just configure doesn't check other than gamin
# - feature stat-cache-fam (doesn't work)
# - lighttpd writes early startup messages to stderr, and if started from
#   rc-scripts the stderr is closed which causes lighttpd to abort():
#   2006-07-20 21:05:52: (server.c.1233) WARNING: unknown config-key: url.rewrite-final (ignored)
#
# NOTES:
# - disable largefile, if you have 2.4 kernel to get sendfile() support, and don't need > 2GB file requests,
#   see http://article.gmane.org/gmane.comp.web.lighttpd:722
#
# Conditional build for lighttpd:
%bcond_without	xattr		# support of extended attributes
%bcond_without	ipv6		# IPv4-only version (doesn't require IPv6 in kernel)
%bcond_without	largefile	# largefile support (see notes above)
%bcond_without	ssl		# ssl support
%bcond_without	mysql		# mysql support in mod_mysql_vhost
%bcond_without	ldap		# ldap support in mod_auth
%bcond_without	lua		# LUA support in mod_cml (needs LUA >= 5.1)
%bcond_with	cache		# support for mod_cache
%bcond_with	memcache	# memcached support in mod_cml / mod_trigger_b4_dl
%bcond_with	gamin		# gamin for reducing number of stat() calls.
				# NOTE: must be enabled in config: server.stat-cache-engine = "fam"
%bcond_with	gdbm		# gdbm in mod_trigger_b4_dl
%bcond_with	webdav_props	# properties in mod_webdav (includes extra sqlite3/libxml deps)
%bcond_with	webdav_locks	# webdav locks with extra efsprogs deps
%bcond_with	valgrind	# compile code with valgrind support.
%bcond_with	deflate		# build deflate module (needs patch update with current svn)

# SVN snapshot
#define		_svn	1277
# Prerelease
#define _snap r1332

%if %{with webdav_locks}
%define		webdav_progs	1
%endif

%if %{with cache}
%undefine	with_deflate
%endif

%define		rel 13BL1
Summary:	Fast and light HTTP server
Summary(pl.UTF-8):	Szybki i lekki serwer HTTP
Name:		lighttpd
%define		lighttpd_ver	1.4.19
%define		cache_ver	1.6.0
Version:	%{lighttpd_ver}
Release:	%{rel}%{?_snap:.%(echo %{_snap}|tr - _)}%{?_svn:.%{_svn}}
License:	BSD
Group:		Networking/Daemons
Source0:	http://www.lighttpd.net/download/%{name}-%{version}.tar.bz2
# Source0-md5:	d787374e4e4aaa09d5cfa9ab9d23ad40
Source1:	%{name}.init
Source2:	%{name}.conf
Source3:	%{name}.user
Source4:	%{name}.logrotate
Source5:	%{name}.sysconfig
Source6:	%{name}-mime.types.sh
Source7:	http://glen.alkohol.ee/pld/lighty/favicon.ico
# Source7-md5:	00fcac5b861a54f5eb147a589504d480
Source8:	http://www.lighttpd.net/light_button.png
# Source8-md5:	02330e2313fadc29144edfd6000879f8
Source9:	http://www.lighttpd.net/light_logo.png
# Source9-md5:	ac20784510e420d5cbe5fc1cdb53d7a7
Source10:	http://gdl.hopto.org/~spider/pldstats/gfx/pld1.png
# Source10-md5:	486ecec3f6f4fe7f9bf7cee757b864f4
Source11:	%{name}-pld.html
Source12:	%{name}.monitrc
Source13:	%{name}-branch.sh
Source100:	%{name}-mod_access.conf
Source101:	%{name}-mod_accesslog.conf
Source102:	%{name}-mod_alias.conf
Source103:	%{name}-mod_auth.conf
Source104:	%{name}-mod_cgi.conf
Source105:	%{name}-mod_cml.conf
Source106:	%{name}-mod_compress.conf
Source107:	%{name}-mod_deflate.conf
Source108:	%{name}-mod_dirlisting.conf
Source109:	%{name}-mod_evasive.conf
Source110:	%{name}-mod_evhost.conf
Source111:	%{name}-mod_expire.conf
Source112:	%{name}-mod_fastcgi.conf
Source113:	%{name}-mod_flv_streaming.conf
Source114:	%{name}-mod_indexfile.conf
Source115:	%{name}-mod_proxy.conf
Source116:	%{name}-mod_redirect.conf
Source117:	%{name}-mod_rewrite.conf
Source118:	%{name}-mod_rrdtool.conf
Source119:	%{name}-mod_scgi.conf
Source120:	%{name}-mod_secdownload.conf
Source121:	%{name}-mod_setenv.conf
Source122:	%{name}-mod_simple_vhost.conf
Source123:	%{name}-mod_ssi.conf
Source124:	%{name}-mod_staticfile.conf
Source125:	%{name}-mod_status.conf
Source126:	%{name}-mod_trigger_b4_dl.conf
Source127:	%{name}-mod_userdir.conf
Source128:	%{name}-mod_usertrack.conf
Source129:	%{name}-mod_webdav.conf
Source130:	%{name}-php-spawned.conf
Source131:	%{name}-php-external.conf
Source132:	%{name}-ssl.conf
Source133:	%{name}-mod_mysql_vhost.conf
Source134:	%{name}-mod_magnet.conf
Source135:	%{name}-mod_extforward.conf
Source136:	%{name}-mod_h264_streaming.conf
Source137:	%{name}-mod_cgi_php.conf
Source138:	%{name}-mod_cache.conf
Patch100:	%{name}-branch.diff
Patch0:		%{name}-use_bin_sh.patch
Patch1:		%{name}-mod_evasive-status_code.patch
Patch2:		%{name}-mod_h264_streaming.patch
Patch3:		%{name}-branding.patch
Patch4:		%{name}-modinit-before-fork.patch
Patch5:		%{name}-mod_deflate.patch
Patch6:		%{name}-mod_compress-disable-bzip2.patch
Patch7:		%{name}-%{lighttpd_ver}.modcache.v.%{cache_ver}.patch
URL:		http://www.lighttpd.net/
%{?with_xattr:BuildRequires:	attr-devel}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	fcgi-devel
%{?with_gamin:BuildRequires:	gamin-devel}
%{?with_gdbm:BuildRequires:	gdbm-devel}
%{?with_memcache:BuildRequires:	libmemcache-devel}
BuildRequires:	libtool
BuildRequires:	libuuid-devel
%{?with_webdav_props:BuildRequires:	libxml2-devel}
%{?with_lua:BuildRequires:	lua51-devel}
BuildRequires:	mailcap >= 2.1.14-4.4
%{?with_mysql:BuildRequires:	mysql-devel}
%{?with_ldap:BuildRequires:	openldap-devel}
%{?with_ssl:BuildRequires:	openssl-devel}
BuildRequires:	pcre-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.268
%{?with_webdav_props:BuildRequires:	sqlite3-devel}
%{?with_valgrind:BuildRequires:	valgrind}
BuildRequires:	zlib-devel
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/lib/rpm/user_group.sh
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(pre):	/usr/sbin/usermod
Requires:	%{name}-mod_dirlisting = %{version}-%{release}
Requires:	%{name}-mod_indexfile = %{version}-%{release}
Requires:	%{name}-mod_staticfile = %{version}-%{release}
Requires:	rc-scripts
Requires:	webapps
Provides:	group(http)
Provides:	group(lighttpd)
Provides:	user(lighttpd)
Provides:	webserver
Conflicts:	logrotate < 3.7-4
# for the posttrans scriptlet, conflicts because in vserver environment rpm package is not installed.
Conflicts:	rpm < 4.4.2-0.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		%{_prefix}/%{_lib}/%{name}
%define		_lighttpddir	/home/services/%{name}
%define		_sysconfdir	/etc/%{name}

%description
lighttpd is a secure, fast, compliant and very flexible web-server
which has been optimized for high-performance environments. It has a
very low memory footprint compared to other webservers and takes care
of cpu-load. Its advanced feature-set (FastCGI, CGI, Auth,
Output-Compression, URL-Rewriting and many more) make lighttpd the
perfect webserver-software for every server that is suffering load
problems.

%description -l pl.UTF-8
lighttpd jest bezpiecznym, szybkim, przyjaznym i bardzo elastycznym
serwerem WWW, który został zoptymalizowany pod kątem
wysokowydajnościowych środowisk. Zajmuje bardzo małą ilość pamięci w
porównaniu do innych serwerów WWW oraz dba o zajętość procesora.
Szeroki zestaw opcji (FastCGI, CGI, uwierzytelnianie, kompresja
wyjścia, przepisywanie URL-i i wiele innych) czynią z lighttpd
doskonałe oprogramowanie web-serwerowe na każdy serwer cierpiący z
powodu problemów z obciążeniem.

%package mod_access
Summary:	lighttpd module for making access restrictions
Summary(pl.UTF-8):	Moduł lighttpd ograniczający dostęp
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}
Provides:	webserver(access)

%description mod_access
The access module is used to deny access to files with given trailing
path names.

%description mod_access -l pl.UTF-8
Moduł access służy do ograniczania dostępu do plików o podanych
ścieżkach.

%package mod_accesslog
Summary:	lighttpd module to record access logs
Summary(pl.UTF-8):	Moduł lighttpd do zapisu logów dostępu
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}

%description mod_accesslog
CLF like by default, flexible like Apache.

%description mod_accesslog -l pl.UTF-8
Domyślnie podobny do CLF, elastyczny jak Apache.

%package mod_alias
Summary:	lighttpd module for making URL aliasing
Summary(pl.UTF-8):	Moduł lighttpd odpowiadający za aliasy URL-i
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}
Provides:	webserver(alias)

%description mod_alias
The alias module is used to specify a special document-root for a
given URL-subset.

%description mod_alias -l pl.UTF-8
Modul alias służy do określania specjalnego drzewa (document-roota)
dla podanego podzbioru URL-i.

%package mod_auth
Summary:	lighttpd module for authentication support
Summary(pl.UTF-8):	Moduł lighttpd do obsługi uwierzytelniania
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}
Provides:	webserver(auth)

%description mod_auth
lighttpd supportes both authentication method described by RFC 2617:
basic and digest.

%description mod_auth -l pl.UTF-8
lighttpd obsługuje obie metody uwierzytelniania opisane w RFC 2617:
basic i digest.

%package mod_cgi
Summary:	lighttpd module for CGI handling
Summary(pl.UTF-8):	Moduł lighttpd do obsługi CGI
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-mod_alias = %{version}-%{release}
Provides:	webserver(cgi)

%description mod_cgi
The cgi module provides a CGI-conforming interface.

CGI programs allow you to enhance the functionality of the server in a
very straight and simple way.

%description mod_cgi -l pl.UTF-8
Moduł cgi udostępnia interfejs zgodny z CGI.

Programy CGI pozwalają rozszerzać funkcjonalność serwera w bardzo
prosty i naturalny sposób.

%package mod_cgi_php
Summary:	lighttpd module for CGI handling PHP scripts
Summary(pl.UTF-8):	Moduł lighttpd do obsługi skryptów PHP przez CGI
Group:		Networking/Daemons
Requires:	%{name}-mod_cgi = %{version}-%{release}
Requires:	php(cgi)
Provides:	webserver(php)

%description mod_cgi_php
The cgi module provides a CGI-conforming interface for PHP scripts.

CGI programs allow you to enhance the functionality of the server in a
very straight and simple way.

%description mod_cgi_php -l pl.UTF-8
Moduł cgi udostępnia interfejs zgodny z CGI do wywoływania skryptów
PHP.

Programy CGI pozwalają rozszerzać funkcjonalność serwera w bardzo
prosty i naturalny sposób.

%package mod_cml
Summary:	lighttpd module for Cache Meta Language
Summary(pl.UTF-8):	Moduł Cache Meta Language
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}

%description mod_cml
CML is a Meta language to describe the dependencies of a page at one
side and building a page from its fragments on the other side using
LUA.

%description mod_cml -l pl.UTF-8
CML to metajęzyk służący z jednej strony do opisu zależności strony i
z drugiej strony do budowania strony z fragmentów przy użyciu LUA.

%package mod_compress
Summary:	lighttpd module for output compression
Summary(pl.UTF-8):	Moduł lighttpd do kompresji wyjścia
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}

%description mod_compress
Output compression reduces the network load and can improve the
overall throughput of the webserver.

Only static content is supported up to now.

The server negotiates automatically which compression method is used.
Supported are gzip, deflate, bzip.

%description mod_compress -l pl.UTF-8
Kompresja wyjścia zmniejsza obciążenie sieci i może poprawić całkowitą
przepustowość serwera WWW.

Jak na razie obsługiwana jest tylko statyczna treść.

Serwer automatycznie negocjuje, która metoda kompresji jest używana.
Obsługiwane są gzip, deflate i bzip.

%package mod_deflate
Summary:	lighttpd module for output compression using deflate method
Summary(pl.UTF-8):	Moduł lighttpd do kompresji wyjścia metodą deflate
Group:		Networking/Daemons
URL:		http://trac.lighttpd.net/trac/wiki/Mod_Deflate
Requires:	%{name} = %{version}-%{release}

%description mod_deflate
mod_deflate can compress any output from lighttpd static or dynamic.
It doesn't support caching compressed output like mod_compress.

%description mod_deflate -l pl.UTF-8
mod_deflate potrafi kompresować statyczne i dynamiczne wyjście z
lighttpd. Nie obsługuje cache'owania wyniku kompresji, jak robi to
mod_compress.

%package mod_dirlisting
Summary:	lighttpd module for directory listings
Summary(pl.UTF-8):	Moduł lighttpd do tworzenia listingów katalogów
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}

%description mod_dirlisting
mod_dirlisting generates HTML based directory listings with full CSS
control.

%description mod_dirlisting -l pl.UTF-8
mod_dirlisting tworzy listingi katalogów w formacie HTML z pełną
kontrolą CSS.

%package mod_evasive
Summary:	lighttpd evasive module
Summary(pl.UTF-8):	Moduł evasive dla lighttpd
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}

%description mod_evasive
lighttpd evasive module.

%description mod_evasive -l pl.UTF-8
Moduł evasive dla lighttpd.

%package mod_evhost
Summary:	lighttpd module for enhanced virtual-hosting
Summary(pl.UTF-8):	Moduł lighttpd rozszerzający obsługę hostów wirtualnych
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}

%description mod_evhost
mod_evhost builds the document-root based on a pattern which contains
wildcards. Those wildcards can represent parts of the submitted
hostname.

%description mod_evhost -l pl.UTF-8
mod_evhost tworzy document-root w oparciu o wzorzec zawierający znaki
wieloznaczne (wildcards). Znaki te reprezentują części przekazanej
nazwy hosta.

%package mod_expire
Summary:	lighttpd module for controlling the expiration of content in caches
Summary(pl.UTF-8):	Moduł lighttpd sterujący wygasaniem treści w cache'ach
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}
Provides:	webserver(expires)

%description mod_expire
mod_expire controls the setting of the the Expire response header.

%description mod_expire -l pl.UTF-8
mod_expire steruje ustawianiem nagłówka odpowiedzi Expire.

%package mod_extforward
Summary:	lighttpd module to extract the client's "real" IP from X-Forwarded-For header
Summary(pl.UTF-8):	Moduł lighttpd wyciągający "prawdziwy" IP klienta z nagłówka X-Forwarded-For
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}

%description mod_extforward
This module will extract the client's "real" IP from X-Forwarded-For
header which is added by Squid or other proxies. It might be useful
for servers behind reverse proxy servers.

%description mod_extforward -l pl.UTF-8
Ten moduł wyciąga "prawdziwy" IP klienta z nagłówka X-Forwarded-For
dodawanego przez Squida czy inne proxy. Może być przydatny dla
serwerów stojących za odwrotnymi serwerami proxy.

%package mod_fastcgi
Summary:	lighttpd module for FastCGI interface
Summary(pl.UTF-8):	Moduł lighttpd do interfejsu FastCGI
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}

%description mod_fastcgi
The FastCGI interface is the fastest and most secure way to interface
external process-handlers like Perl, PHP and your self-written
applications.

%description mod_fastcgi -l pl.UTF-8
Interfejs FastCGI to najszybszy i najbezpieczniejszy sposób
komunikacji z zewnętrznymi programami obsługującymi procesy, takimi
jak Perl, PHP czy własne aplikacje.

%package mod_flv_streaming
Summary:	lighttpd module for flv streaming
Summary(pl.UTF-8):	Moduł lighttpd do streamingu flv
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}

%description mod_flv_streaming
lighttpd module for flv streaming.

%description mod_flv_streaming -l pl.UTF-8
Moduł lighttpd do streamingu flv.

%package mod_h264_streaming
Summary:	lighttpd module for h264 streaming
License:	GPL v3+
Group:		Networking/Daemons
URL:		http://h264.code-shop.com/
Requires:	%{name} = %{version}-%{release}

%description mod_h264_streaming
lighttpd module for h264 streaming.

Please note that this module is experimental and work-in-progress.

%package mod_indexfile
Summary:	lighttpd indexfile module
Summary(pl.UTF-8):	Moduł indexfile dla lighttpd
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}
Provides:	webserver(indexfile)

%description mod_indexfile
indexfile module.

%description mod_indexfile -l pl.UTF-8
Moduł indexfile.

%package mod_magnet
Summary:	lighttpd powermagnet module
Summary(pl.UTF-8):	Moduł powermagnet dla lighttpd
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}

%description mod_magnet
mod_magnet is a module to control the request handling in lighty.

%description mod_magnet -l pl.UTF-8
mod_magnet to moduł sterujący obsługą żądań w lighty.

%package mod_mysql_vhost
Summary:	lighttpd module for MySQL based vhosting
Summary(pl.UTF-8):	Moduł lighttpd obsługujący vhosty oparte na MySQL-u
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}
Conflicts:	%{name}-mod_simple_vhost

%description mod_mysql_vhost
This module provides virtual hosts (vhosts) based on a MySQL table.

%description mod_mysql_vhost -l pl.UTF-8
Ten moduł udostępnia wirtualne hosty (vhosty) oparte na tabeli MySQL.

%package mod_proxy
Summary:	lighttpd module for proxying requests
Summary(pl.UTF-8):	Moduł lighttpd do przekazywania żądań
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}

%description mod_proxy
The proxy module a simplest way to connect lighttpd to Java servers
which have a HTTP-interface.

%description mod_proxy -l pl.UTF-8
Moduł proxy to najprostszy sposób łączenia lighttpd z serwerami Javy
mającymi interfejs HTTP.

%package mod_proxy_core
Summary:	lighttpd module for proxying requests
Summary(pl.UTF-8):	Moduł lighttpd do przekazywania żądań
Group:		Networking/Daemons
URL:		http://blog.lighttpd.net/articles/2006/07/18/mod_proxy_core-commited-to-svn
Requires:	%{name} = %{version}-%{release}

%description mod_proxy_core
The proxy module a simplest way to connect lighttpd to java servers
which have a HTTP-interface.

This is the new proxy code.

%description mod_proxy_core -l pl.UTF-8
Moduł proxy to najprostszy sposób łączenia lighttpd z serwerami Javy
mającymi interfejs HTTP.

Ten pakiet zawiera nowy moduł proxy.

%package mod_redirect
Summary:	lighttpd module for URL redirects
Summary(pl.UTF-8):	Moduł lighttpd do przekierowań URL-i
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}

%description mod_redirect
With mod_redirect module you can redirect a set of URLs externally.

%description mod_redirect -l pl.UTF-8
Przy użyciu modułu mod_redirect można przekierować zbiór URL-i na
zewnątrz.

%package mod_rewrite
Summary:	lighttpd module for internal redirects, URL rewrite
Summary(pl.UTF-8):	Moduł lighttpd do wewnętrznych przekierowań i przepisywania URL-i
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}

%description mod_rewrite
This module allows you rewrite a set of URLs interally in the
webserver BEFORE they are handled.

%description mod_rewrite -l pl.UTF-8
Ten moduł pozwala na przepisywanie zbioru URL-i wewnętrznie w serwerze
WWW _przed_ ich obsługą.

%package mod_rrdtool
Summary:	lighttpd module for monitoring traffic and server load
Summary(pl.UTF-8):	Moduł lighttpd do monitorowania ruchu i obciążenia serwera
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}
Requires:	rrdtool

%description mod_rrdtool
RRD is a system to store and display time-series data (i.e. network
bandwidth, machine-room temperature, server load average).

With this module you can monitor the traffic and load on the
webserver.

%description mod_rrdtool -l pl.UTF-8
RRD to system przechowywania i wyświetlania danych zależnych od czasu
(np. obciążenia sieci, temperatury w serwerowni, średniego obciążenia
serwera).

Przy użyciu tego modułu można monitorować ruch i obciążenie serwera
WWW.

%package mod_scgi
Summary:	lighttpd module for SCGI interface
Summary(pl.UTF-8):	Moduł lighttpd do interfejsu SCGI
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}

%description mod_scgi
SCGI is a fast and simplified CGI interface. It is mostly used by
Python + WSGI.

%description mod_scgi -l pl.UTF-8
SCGI to szybki i uproszczony interfejs CGI. Jest używany głównie przez
Pythona z WSGI.

%package mod_secdownload
Summary:	lighttpd module for secure and fast downloading
Summary(pl.UTF-8):	Moduł lighttpd do bezpiecznego i szybkiego ściągania danych
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}

%description mod_secdownload
With this module you can easily achieve authenticated file requests
and a countermeasure against deep-linking.

%description mod_secdownload -l pl.UTF-8
Przy użyciu tego modułu można łatwo umożliwić ściąganie plików z
uwierzytelnieniem i zapobiec używaniu bezpośrednich odnośników.

%package mod_setenv
Summary:	lighttpd module for setting conditional request headers
Summary(pl.UTF-8):	Moduł lighttpd do ustawiania warunkowych nagłówków żądań
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}
Provides:	webserver(setenv)

%description mod_setenv
mod_setenv is used to add request headers.

%description mod_setenv -l pl.UTF-8
mod_setenv służy do dodawania nagłówków żądań.

%package mod_simple_vhost
Summary:	lighttpd module for simple virtual-hosting
Summary(pl.UTF-8):	Moduł lighttpd do prostych hostów wirtualnych
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}
Conflicts:	%{name}-mod_mysql_vhost

%description mod_simple_vhost
lighttpd module for simple virtual-hosting.

%description mod_simple_vhost -l pl.UTF-8
Moduł lighttpd do prostych hostów wirtualnych.

%package mod_ssi
Summary:	lighttpd module for server-side includes
Summary(pl.UTF-8):	Moduł lighttpd do SSI (server-side includes)
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}

%description mod_ssi
The module for server-side includes provides a compatability layer for
NSCA/Apache SSI.

%description mod_ssi -l pl.UTF-8
Moduł server-side includes udostępnia warstwę kompatybilności z SSI
znanym z NSCA/Apache'a.

%package mod_staticfile
Summary:	lighttpd module for static file serving
Summary(pl.UTF-8):	Moduł lighttpd do serwowania statycznych plików
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}

%description mod_staticfile
lighttpd module for static file serving.

%description mod_staticfile -l pl.UTF-8
Moduł lighttpd do serwowania statycznych plików.

%package mod_status
Summary:	lighttpd module for displaying server status
Summary(pl.UTF-8):	Moduł lighttpd do wyświetlania stanu serwera
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}

%description mod_status
mod_status displays the server's status and configuration.

%description mod_status -l pl.UTF-8
mod_status wyświetla stan i konfigurację serwera.

%package mod_trigger_b4_dl
Summary:	Trigger before Download
Summary(pl.UTF-8):	Wyzwalacz przed ściąganiem
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}

%description mod_trigger_b4_dl
Another anti hot-linking module.

%description mod_trigger_b4_dl -l pl.UTF-8
Jeszcze jeden moduł blokujący bezpośrednie linkowanie.

%package mod_userdir
Summary:	lighttpd module for user homedirs
Summary(pl.UTF-8):	Moduł lighttpd obsługujący katalogi domowe użytkowników
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}

%description mod_userdir
The userdir module provides a simple way to link user-based
directories into the global namespace of the webserver.

%description mod_userdir -l pl.UTF-8
Moduł userdir udostępnia prosty sposób włączenia katalogów
użytkowników do globalnej przestrzeni nazw serwera WWW.

%package mod_usertrack
Summary:	lighttpd usertrack module
Summary(pl.UTF-8):	Moduł usertrack dla lighttpd
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}

%description mod_usertrack
lighttpd usertrack module.

%description mod_usertrack -l pl.UTF-8
Moduł usertrack dla lighttpd.

%package mod_webdav
Summary:	WebDAV module for lighttpd
Summary(pl.UTF-8):	Moduł WebDAV dla libghttpd
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}

%description mod_webdav
The WebDAV module is a very minimalistic implementation of RFC 2518.
Minimalistic means that not all operations are implementated yet.

So far we have
- PROPFIND
- OPTIONS
- MKCOL
- DELETE
- PUT
- LOCK (experimental)

and the usual GET, POST, HEAD from HTTP/1.1.

So far mounting a webdav resource into Windows XP works and the basic
litmus tests are passed.

%description mod_webdav -l pl.UTF-8
Moduł WebDAV to bardzo minimalistyczna implementacja RFC 2518.
Minimalistyczna oznacza, że jeszcze nie wszystkie operacje są
zaimplementowane. Jak na razie są:
- PROPFIND
- OPTIONS
- MKCOL
- DELETE
- PUT
- LOCK (experimental)

oraz zwykłe GET, POST, HEAD z HTTP/1.1.

Jak na razie montowanie zasobu webdav pod Windows XP działa i
podstawowe testy lakmusowe przechodzą.

%package mod_cache
Summary:	lighttpd cache module
Summary(pl.UTF-8):	Moduł cache dla lighttpd
Group:		Networking/Daemons/HTTP
Version:	%{cache_ver}@%{lighttpd_ver}
Requires:	%{name} = %{lighttpd_ver}-%{release}

%description mod_cache
lighttpd chache module.

%description mod_cache -l pl.UTF-8
Moduł cache dla lighttpd.

%package -n spawn-fcgi
Summary:	Spawn fcgi-process directly
Summary(pl.UTF-8):	Bezpośrednie uruchamianie procesów fcgi
Group:		Applications
Version:	%{lighttpd_ver}

%description -n spawn-fcgi
spawn-fcgi is used to spawn fcgi-process directly without the help of
a webserver or the programm itself.

%description -n spawn-fcgi -l pl.UTF-8
spawn-fcgi służy do uruchamiania procesów fcgi bezpośrednio, bez
pomocy serwera WWW ani samego programu.

%package php-spawned
Summary:	PHP support via FastCGI, spawned by lighttpd
Summary(pl.UTF-8):	Obsługa PHP przez FastCGI, uruchamiane przez lighttpd
Group:		Networking/Daemons
Requires:	%{name} = %{lighttpd_ver}-%{release}
Requires:	%{name}-mod_fastcgi = %{lighttpd_ver}-%{release}
Requires:	php-fcgi
Obsoletes:	lighttpd-php-external

%description php-spawned
PHP support via FastCGI, spawned by lighttpd.

%description php-spawned -l pl.UTF-8
Obsługa PHP przez FastCGI, uruchamiane przez lighttpd.

%package php-external
Summary:	PHP support via FastCGI, spawning controlled externally
Summary(pl.UTF-8):	Obsługa PHP przez FastCGI, uruchamianie sterowane zewnętrznie
Group:		Networking/Daemons
Requires:	%{name} = %{lighttpd_ver}-%{release}
Requires:	%{name}-mod_fastcgi = %{lighttpd_ver}-%{release}
Requires:	php-fcgi-init
Obsoletes:	lighttpd-php-spawned

%description php-external
PHP support via FastCGI, spawning controlled externally.

%description php-external -l pl.UTF-8
Obsługa PHP przez FastCGI, uruchamianie sterowane zewnętrznie.

%package ssl
Summary:	lighttpd support for SSLv2 and SSLv3
Summary(pl.UTF-8):	Obsługa SSLv2 i SSLv3 dla lighttpd
Group:		Networking/Daemons
Requires:	%{name} = %{lighttpd_ver}-%{release}

%description ssl
lighttpd support for SSLv2 and SSLv3.

%description ssl -l pl.UTF-8
Obsługa SSLv2 i SSLv3 dla lighttpd.

%package -n monit-rc-lighttpd
Summary:	lighttpd support for monit
Summary(pl.UTF-8):	Wsparcie lighttpd dla monit
Group:		Applications/System
Requires:	%{name} = %{lighttpd_ver}-%{release}
Requires:	monit

%description -n monit-rc-lighttpd
monitrc file for monitoring lighttpd web server.

%description -n monit-rc-lighttpd -l pl.UTF-8
Plik monitrc do monitorowania serwera www lighttpd.

%prep
%setup -q
%{?!with_cache:%patch100 -p0}
%{?!with_cache:%patch4 -p0}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%{?!with_cache:%patch3 -p1}
%{?with_deflate:%patch5 -p1}
%patch6 -p1
%{?with_cache:%patch7 -p1}

rm -f src/mod_ssi_exprparser.h # bad patching: should be removed by is emptied instead

# build mime.types.conf
sh %{SOURCE6} /etc/mime.types

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}

%configure \
	--enable-maintainer-mode \
	--with-distribution="PLD Linux" \
	%{!?with_ipv6:--disable-ipv6} \
	%{!?with_largefile:--disable-lfs} \
	%{?with_valgrind:--with-valgrind} \
	%{?with_xattr:--with-attr} \
	%{?with_mysql:--with-mysql} \
	%{?with_ldap:--with-ldap} \
	%{?with_ssl:--with-openssl} \
	%{?with_lua:--with-lua=lua51} \
	%{?with_memcache:--with-memcache} \
	%{?with_webdav_props:--with-webdav-props} \
	%{?with_webdav_locks:--with-webdav-locks} \
	%{?with_gamin:--with-gamin} \
	%{?with_gdbm:--with-gdbm}

# -j1 as src/mod_ssi_exprparser.h regeneration deps are broken
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_lighttpddir}/{cgi-bin,html},/etc/{logrotate.d,rc.d/init.d,sysconfig,monit}} \
	$RPM_BUILD_ROOT%{_sysconfdir}/{conf,webapps}.d \
	$RPM_BUILD_ROOT{/var/log/{%{name},archive/%{name}},/var/run/%{name}} \
	$RPM_BUILD_ROOT%{_datadir}/lighttpd/errordocs \
	$RPM_BUILD_ROOT/var/lib/lighttpd \
	$RPM_BUILD_ROOT/var/cache/lighttpd/mod_compress

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} %{SOURCE3} mime.types.conf $RPM_BUILD_ROOT%{_sysconfdir}
install %{SOURCE4} $RPM_BUILD_ROOT/etc/logrotate.d/%{name}
install %{SOURCE5} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install %{SOURCE12} $RPM_BUILD_ROOT/etc/monit/%{name}.monitrc

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

# could use automake patch, but automake generation fails...
mv $RPM_BUILD_ROOT%{_bindir}/spawn-fcgi $RPM_BUILD_ROOT%{_sbindir}/spawn-fcgi

# Install lighttpd images
install %{SOURCE7} %{SOURCE8} %{SOURCE9} $RPM_BUILD_ROOT%{_lighttpddir}/html
install %{SOURCE10} $RPM_BUILD_ROOT%{_lighttpddir}/html/pld_button.png
install %{SOURCE11} $RPM_BUILD_ROOT%{_lighttpddir}/html/index.html

# NOTE: the order of the modules is somewhat important as the modules are
# handled in the way they are specified. mod_rewrite should always be the first
# module, mod_accesslog always the last.

install %{SOURCE117} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/10_mod_rewrite.conf
install %{SOURCE116} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/11_mod_redirect.conf

install %{SOURCE100} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/50_mod_access.conf
install %{SOURCE102} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/50_mod_alias.conf
install %{SOURCE103} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/50_mod_auth.conf
install %{SOURCE104} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/50_mod_cgi.conf
install %{SOURCE137} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/50_mod_cgi_php.conf
install %{SOURCE105} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/50_mod_cml.conf
install %{SOURCE106} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/50_mod_compress.conf
install %{SOURCE107} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/50_mod_deflate.conf
install %{SOURCE108} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/50_mod_dirlisting.conf
install %{SOURCE109} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/50_mod_evasive.conf
install %{SOURCE110} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/50_mod_evhost.conf
install %{SOURCE111} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/50_mod_expire.conf
install %{SOURCE135} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/91_mod_extforward.conf
install %{SOURCE112} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/50_mod_fastcgi.conf
install %{SOURCE113} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/50_mod_flv_streaming.conf
install %{SOURCE136} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/50_mod_h264_streaming.conf
install %{SOURCE114} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/50_mod_indexfile.conf
install %{SOURCE134} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/50_mod_magnet.conf
install %{SOURCE115} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/50_mod_proxy.conf
install %{SOURCE118} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/50_mod_rrdtool.conf
install %{SOURCE119} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/50_mod_scgi.conf
install %{SOURCE120} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/50_mod_secdownload.conf
install %{SOURCE121} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/50_mod_setenv.conf
install %{SOURCE122} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/50_mod_simple_vhost.conf
install %{SOURCE123} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/50_mod_ssi.conf
install %{SOURCE124} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/50_mod_staticfile.conf
install %{SOURCE125} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/50_mod_status.conf
install %{SOURCE126} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/50_mod_trigger_b4_dl.conf
install %{SOURCE127} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/50_mod_userdir.conf
install %{SOURCE128} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/50_mod_usertrack.conf
install %{SOURCE129} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/50_mod_webdav.conf
install %{SOURCE129} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/50_mod_cache.conf
install %{SOURCE133} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/50_mod_mysql_vhost.conf

install %{SOURCE101} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/90_mod_accesslog.conf

install %{SOURCE130} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/php-spawned.conf
install %{SOURCE131} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/php-external.conf
install %{SOURCE132} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/ssl.conf

touch $RPM_BUILD_ROOT/var/lib/lighttpd/lighttpd.rrd

%if %{without mysql}
# avoid packaging dummy module
rm -f $RPM_BUILD_ROOT%{_libdir}/mod_mysql_vhost.so
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/*_mod_mysql_vhost.conf
%endif
%if %{without deflate}
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/*_mod_deflate.conf
%endif
%if %{with cache}
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/*_mod_secdownload.conf
%else
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/*_mod_cache.conf
%endif

touch $RPM_BUILD_ROOT/var/log/%{name}/{access,error}.log

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 109 lighttpd
%groupadd -g 51 http
%useradd -u 116 -d %{_lighttpddir} -c "Lighttpd User" -g lighttpd lighttpd
%addusertogroup lighttpd http

%post
for a in access.log error.log; do
	if [ ! -f /var/log/%{name}/$a ]; then
		touch /var/log/%{name}/$a
		chown lighttpd:lighttpd /var/log/%{name}/$a
		chmod 644 /var/log/%{name}/$a
	fi
done
/sbin/chkconfig --add %{name}

%preun
if [ "$1" = "0" ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%postun
if [ "$1" = "0" ]; then
	%userremove lighttpd
	%groupremove lighttpd
	%groupremove http
fi

%posttrans
# minimizing lighttpd restarts logics. we restart webserver:
#
# 1. at the end of transaction. (posttrans, feature from rpm 4.4.2)
# 2. first install of module (post: $1 = 1)
# 2. uninstall of module (postun: $1 == 0)
#
# the strict internal deps between lighttpd modules and
# main package are very important for all this to work.
%service %{name} restart "Lighttpd webserver"
exit 0

# macro called at module post scriptlet
%define	module_post \
if [ "$1" = "1" ]; then \
	%service -q lighttpd restart \
fi

# macro called at module postun scriptlet
%define	module_postun \
if [ "$1" = "0" ]; then \
	%service -q lighttpd restart \
fi

# it's sooo annoying to write them
%define	module_scripts() \
%post %1 \
%module_post \
\
%postun %1 \
%module_postun

%module_scripts mod_access
%module_scripts mod_accesslog
%module_scripts mod_alias
%module_scripts mod_auth
%module_scripts mod_cgi
%module_scripts mod_cml
%module_scripts mod_compress
%module_scripts mod_deflate
%module_scripts mod_dirlisting
%module_scripts mod_evasive
%module_scripts mod_evhost
%module_scripts mod_expire
%module_scripts mod_extforward
%module_scripts mod_fastcgi
%module_scripts mod_flv_streaming
%module_scripts mod_h264_streaming
%module_scripts mod_indexfile
%module_scripts mod_magnet
%module_scripts mod_mysql_vhost
%module_scripts mod_proxy
%module_scripts mod_redirect
%module_scripts mod_rewrite

%post mod_rrdtool
if [ ! -f /var/lib/lighttpd/lighttpd.rrd ]; then
	touch /var/lib/lighttpd/lighttpd.rrd
	chown lighttpd:stats /var/lib/lighttpd/lighttpd.rrd
	chmod 640 /var/lib/lighttpd/lighttpd.rrd
fi
%module_post

%postun mod_rrdtool
%module_postun

%module_scripts mod_scgi
%module_scripts mod_secdownload
%module_scripts mod_setenv
%module_scripts mod_simple_vhost
%module_scripts mod_ssi
%module_scripts mod_staticfile
%module_scripts mod_status
%module_scripts mod_trigger_b4_dl
%module_scripts mod_userdir
%module_scripts mod_usertrack
%module_scripts mod_webdav
%module_scripts mod_cache

%module_scripts php-spawned
%module_scripts php-external

%triggerpostun -- %{name} < 1.4.18-10.1
if [ -f /etc/lighttpd/conf.d/50_mod_extforward.conf.rpmsave ]; then
	cp -f /etc/lighttpd/conf.d/91_mod_extforward.conf{,.rpmnew}
	mv -f /etc/lighttpd/conf.d/{50_mod_extforward.conf.rpmsave,91_mod_extforward.conf}
fi

%files
%defattr(644,root,root,755)
%doc NEWS README ChangeLog doc/lighttpd.conf doc/*.txt doc/rrdtool-graph.sh
%dir %attr(750,root,lighttpd) %{_sysconfdir}
%dir %attr(750,root,root) %{_sysconfdir}/webapps.d
%dir %attr(750,root,root) %{_sysconfdir}/conf.d
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mime.types.conf
%attr(640,root,lighttpd) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.user

%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/%{name}
%attr(750,root,root) %dir /var/log/archive/%{name}
%dir %attr(751,root,root) /var/log/%{name}
%ghost %attr(644,lighttpd,lighttpd) /var/log/%{name}/access.log
%ghost %attr(644,lighttpd,lighttpd) /var/log/%{name}/error.log
%dir %attr(770,root,lighttpd) /var/run/%{name}
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/*
%attr(755,root,root) %{_sbindir}/lighttpd
%attr(755,root,root) %{_sbindir}/lighttpd-angel
%dir %{_libdir}
%{_mandir}/man?/*
%dir %{_lighttpddir}
%dir %{_lighttpddir}/cgi-bin
%dir %{_lighttpddir}/html
%config(noreplace,missingok) %verify(not md5 mtime size) %{_lighttpddir}/html/*

%dir %{_datadir}/lighttpd
%dir %{_datadir}/lighttpd/errordocs

# rrdtool database is stored there
%dir %attr(771,root,lighttpd) /var/lib/lighttpd

# mod_compress can put cached files there
%dir /var/cache/lighttpd

%files mod_access
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*mod_access.conf
%attr(755,root,root) %{_libdir}/mod_access.so

%files mod_accesslog
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*mod_accesslog.conf
%attr(755,root,root) %{_libdir}/mod_accesslog.so

%files mod_alias
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*mod_alias.conf
%attr(755,root,root) %{_libdir}/mod_alias.so

%files mod_auth
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*mod_auth.conf
%attr(755,root,root) %{_libdir}/mod_auth.so

%files mod_cgi
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*mod_cgi.conf
%attr(755,root,root) %{_libdir}/mod_cgi.so

%files mod_cgi_php
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*mod_cgi_php.conf

%files mod_cml
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*mod_cml.conf
%attr(755,root,root) %{_libdir}/mod_cml.so

%files mod_compress
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*mod_compress.conf
%attr(755,root,root) %{_libdir}/mod_compress.so
%dir %attr(775,root,lighttpd) /var/cache/lighttpd/mod_compress

%if %{with deflate}
%files mod_deflate
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*mod_deflate.conf
%attr(755,root,root) %{_libdir}/mod_deflate.so
%endif

%files mod_dirlisting
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*mod_dirlisting.conf
%attr(755,root,root) %{_libdir}/mod_dirlisting.so

%files mod_evasive
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*mod_evasive.conf
%attr(755,root,root) %{_libdir}/mod_evasive.so

%files mod_evhost
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*mod_evhost.conf
%attr(755,root,root) %{_libdir}/mod_evhost.so

%files mod_expire
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*mod_expire.conf
%attr(755,root,root) %{_libdir}/mod_expire.so

%files mod_extforward
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*mod_extforward.conf
%attr(755,root,root) %{_libdir}/mod_extforward.so

%files mod_fastcgi
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*mod_fastcgi.conf
%attr(755,root,root) %{_libdir}/mod_fastcgi.so

%files mod_flv_streaming
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*mod_flv_streaming.conf
%attr(755,root,root) %{_libdir}/mod_flv_streaming.so

%files mod_h264_streaming
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*mod_h264_streaming.conf
%attr(755,root,root) %{_libdir}/mod_h264_streaming.so

%files mod_indexfile
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*mod_indexfile.conf
%attr(755,root,root) %{_libdir}/mod_indexfile.so

%files mod_magnet
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*mod_magnet.conf
%attr(755,root,root) %{_libdir}/mod_magnet.so

%if %{with mysql}
%files mod_mysql_vhost
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*mod_mysql_vhost.conf
%attr(755,root,root) %{_libdir}/mod_mysql_vhost.so
%endif

%files mod_proxy
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*mod_proxy.conf
%attr(755,root,root) %{_libdir}/mod_proxy.so

%files mod_redirect
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*mod_redirect.conf
%attr(755,root,root) %{_libdir}/mod_redirect.so

%files mod_rewrite
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*mod_rewrite.conf
%attr(755,root,root) %{_libdir}/mod_rewrite.so

%files mod_rrdtool
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*mod_rrdtool.conf
%attr(755,root,root) %{_libdir}/mod_rrdtool.so
%ghost %attr(640,lighttpd,stats) /var/lib/lighttpd/lighttpd.rrd

%files mod_scgi
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*mod_scgi.conf
%attr(755,root,root) %{_libdir}/mod_scgi.so

%if %{without cache}
%files mod_secdownload
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*mod_secdownload.conf
%attr(755,root,root) %{_libdir}/mod_secdownload.so
%endif

%files mod_setenv
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*mod_setenv.conf
%attr(755,root,root) %{_libdir}/mod_setenv.so

%files mod_simple_vhost
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*mod_simple_vhost.conf
%attr(755,root,root) %{_libdir}/mod_simple_vhost.so

%files mod_ssi
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*mod_ssi.conf
%attr(755,root,root) %{_libdir}/mod_ssi.so

%files mod_staticfile
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*mod_staticfile.conf
%attr(755,root,root) %{_libdir}/mod_staticfile.so

%files mod_status
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*mod_status.conf
%attr(755,root,root) %{_libdir}/mod_status.so

%files mod_trigger_b4_dl
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*mod_trigger_b4_dl.conf
%attr(755,root,root) %{_libdir}/mod_trigger_b4_dl.so

%files mod_userdir
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*mod_userdir.conf
%attr(755,root,root) %{_libdir}/mod_userdir.so

%files mod_usertrack
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*mod_usertrack.conf
%attr(755,root,root) %{_libdir}/mod_usertrack.so

%files mod_webdav
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*mod_webdav.conf
%attr(755,root,root) %{_libdir}/mod_webdav.so

%if %{with cache}
%files mod_cache
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*mod_cache.conf
%attr(755,root,root) %{_libdir}/mod_cache.so
%endif

%files -n spawn-fcgi
%defattr(644,root,root,755)
%doc doc/spawn-php.sh
%attr(755,root,root) %{_sbindir}/spawn-fcgi

%files php-spawned
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/php-spawned.conf

%files php-external
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/php-external.conf

%files ssl
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/ssl.conf

%files -n monit-rc-lighttpd
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/monit/%{name}.monitrc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lighttpd.spec,v $
Revision 1.267BL1  2009/01/15 00:05:12  bartoszl@ics.p.lodz.pl
- release 13BL1
- added mod_cache v. 1.6.0

Revision 1.267  2008/09/22 14:11:47  glen
- change dash in compress.allowed-encodings on stbuehler wish; rel 13

Revision 1.266  2008/09/19 14:47:11  glen
- release 12

Revision 1.265  2008/09/19 12:49:46  glen
- config compress.allowed_encodings now

Revision 1.264  2008/09/19 11:07:07  glen
- add patch to disable bzip2 in mod_compress

Revision 1.263  2008/08/29 13:35:53  glen
- change lighttpd caps to Lighttpd

Revision 1.262  2008/08/21 14:24:16  glen
- P: webserver(expires) for expire module

Revision 1.261  2008/08/18 18:52:39  glen
- add webserver(setenv)

Revision 1.260  2008/07/14 16:10:55  glen
- update to r2199:
  - merge spawn-fcgi changes from trunk (from @2191)
  - let spawn-fcgi propagate exit code from spawned fcgi application
- rel 9

Revision 1.259  2008/06/17 16:37:47  glen
- release 8

Revision 1.258  2008/06/17 16:33:48  glen
- release 7

Revision 1.257  2008/06/17 16:21:08  glen
- update to svn r2190, add modinit-before-fork.patch, add branch creation script for reference

Revision 1.256  2008-05-26 12:54:46  glen
- build mod_auth with ldap support; rel 6

Revision 1.255  2008-04-27 11:41:53  blues
- require virtual package

Revision 1.254  2008-04-27 11:38:59  blues
- reparate lighttp-mod_cgi_php to have it working OTOB. The same thing
  could be done with python, perl, etc...

Revision 1.253  2008-04-27 11:21:47  blues
- suggest php-cgi

Revision 1.252  2008-04-27 11:17:37  blues
- rel.5 - mod_cgi can support php scripts - add provides webserver(php)

Revision 1.251  2008-04-10 18:54:57  glen
- release 4

Revision 1.250  2008-04-10 18:47:33  glen
- update to svn r2145, resolves CVE-2008-1531

Revision 1.249  2008-03-11 12:59:52  glen
- release 2 (1 for ac)

Revision 1.248  2008-03-11 06:45:07  aredridel
- 1.4.19, fixes CVE-2008-1270, CVE-2008-0983 and CVE-2008-1111.

Revision 1.247  2008-03-07 10:43:09  glen
- verbose error when fcgi packet is too small

Revision 1.246  2008-03-06 18:56:16  glen
- release 12

Revision 1.245  2008-03-06 12:16:14  glen
- up to r2118, includes upstream fixes for CVE-2008-0983, CVE-2008-1111
- verbose files (packages spawn-fcgi only once)
- rel 11

Revision 1.244  2008-02-19 18:37:22  glen
- strict internal deps

Revision 1.243  2008-01-28 20:07:31  glen
- cosmetic noticed by hawk

Revision 1.242  2008-01-28 19:52:55  glen
- rel 10.4

Revision 1.241  2008-01-18 12:34:45  glen
- move mod_extforward after mod_accesslog so accesslog gets client ip addresses

Revision 1.240  2008-01-15 21:43:40  glen
- update to svn @2026: fixed case-sensitive check for Auth-Method (#1456)
- rel 10

Revision 1.239  2007-11-29 08:03:35  arekm
- ups, revert

Revision 1.238  2007-11-29 08:01:25  arekm
- rel 10

Revision 1.237  2007-11-18 22:04:27  glen
- rel 9

Revision 1.236  2007-11-18 21:47:10  glen
- add pld branding; rel 8

Revision 1.235  2007-11-18 18:09:09  arekm
- rel 7

Revision 1.234  2007-11-14 13:29:28  glen
- branch.diff up to r2025; rel 6

Revision 1.233  2007/11/05 14:39:13  glen
- add branch.diff; rel 5

Revision 1.232  2007/11/03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.231  2007/10/23 21:55:37  glen
- typo

Revision 1.230  2007/10/23 21:41:49  glen
- added mod_h264_streaming module; rel 4

Revision 1.229  2007/09/28 06:04:44  glen
- CVE for 1.4.18

Revision 1.228  2007/09/17 22:13:06  glen
- proper symlink 4 icon this time (thx blues); rel 3

Revision 1.227  2007/09/17 12:41:45  glen
- use transparent favicon
- rebuild with new mailcap; rel 2

Revision 1.226  2007/09/11 15:41:52  glen
- update to 1.4.18, fixes SA 2007:12, CVE-2007-4727

Revision 1.225  2007/09/11 12:30:07  gotar
- oops, it's 3.7-4 not 3.7.4

Revision 1.224  2007/09/11 12:15:57  gotar
- C: logrotate < 3.7.4 due to archiv -> archive transition

Revision 1.223  2007/09/06 09:05:31  sardzent
- fixed desc for monitrc subpackage

Revision 1.222  2007/09/04 13:04:07  glen
- package dir for mod_compress optional cache-dir; rel 3

Revision 1.221  2007/08/29 13:46:58  glen
- rel 2

Revision 1.220  2007/08/29 13:46:28  glen
- update to 1.4.17

Revision 1.219  2007/08/17 10:52:44  glen
- updated branch.diff (upstream fix for #948); rel 5

Revision 1.218  2007/08/01 17:52:35  aredridel
- 1.4.16

Revision 1.217  2007/07/18 22:13:15  glen
- revert change from #948 (fixes 404 handler status code handling); rel 4

Revision 1.216  2007/07/03 20:33:43  glen
- updated branch.diff (fixes disabling etag-inode); rel 3

Revision 1.215  2007/06/26 19:43:19  glen
- add -branch.diff (r1878); rel 2

Revision 1.214  2007/04/17 06:07:44  glen
- use tar.bz2

Revision 1.213  2007/04/17 06:00:11  glen
- CVE refs

Revision 1.212  2007/04/14 14:55:59  rotom
- up to 1.4.15 [CVE-2007-1870 CVE-2007-1869]
- rm obsolete patches

Revision 1.211  2007/04/02 16:57:40  baggins
- rel 11

Revision 1.210  2007/04/02 16:55:17  baggins
- s|/var/log/archiv|/var/log/archive|g

Revision 1.209  2007/03/29 14:49:57  glen
- improved initscript; rel 10

Revision 1.208  2007/02/27 19:56:14  arekm
- rel 9

Revision 1.207  2007/02/25 20:30:22  arekm
- rel 8; add monit-rc-lighttpd subpackage

Revision 1.206  2007/02/19 20:16:43  glen
- add branch.diff; rel 7

Revision 1.205  2007/02/13 06:52:57  glen
- tabs in preamble

Revision 1.204  2007/02/12 00:49:05  baggins
- converted to UTF-8

Revision 1.203  2006/12/22 23:08:26  glen
- fcgi-devel is now required
- package ghost lighttpd.rrd

Revision 1.202  2006/12/21 12:14:13  glen
- make logs dir owned by root (to protect against malicous cgi-s creating files there)

Revision 1.201  2006/12/18 17:29:13  glen
- rel 6

Revision 1.200  2006/12/15 20:14:26  glen
- install dir for rrdtool data

Revision 1.199  2006/12/15 08:10:59  glen
- rel 5: let webserver depend on webapps so packages can trigger

Revision 1.198  2006/12/13 18:44:48  glen
- squid caps

Revision 1.197  2006/12/13 15:26:47  qboosh
- added pl for -mod_extforward

Revision 1.196  2006/12/13 11:02:34  glen
- typo

Revision 1.195  2006/12/13 11:00:43  glen
- add placeholder for errordocs

Revision 1.194  2006/12/12 18:41:41  glen
- add mod_extforward module; rel 4

Revision 1.193  2006/11/28 14:48:48  glen
- fix conf.d path; rel 3

Revision 1.192  2006/11/14 13:43:57  glen
- mod_cgi uses mod_alias

Revision 1.191  2006/11/13 15:00:11  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.190  2006/10/24 14:54:33  glen
- libuuid-devel is always required (thx samchi)

Revision 1.189  2006/10/24 13:58:24  glen
- as well libxml(!!) and sqlite(!!) dropped

Revision 1.188  2006/10/24 13:56:50  glen
- bogus e2fsprogs-devel changed to libuuid-devel
- runtime dep should be autogenerated

Revision 1.187  2006/10/24 13:47:05  glen
- crazy permizzion korrekted

Revision 1.186  2006/10/24 13:45:10  glen
- bcond corrected
- runtime deps moved to proper package (aren't those autogenerated anyway?)

Revision 1.185  2006/10/24 13:24:05  czarny
- conf.d dir

Revision 1.184  2006/10/24 13:21:04  czarny
- added webdav-locks
- webdav description extended with lock ability
- R and BRs of webdav stuff according to: http://trac.lighttpd.net/trac/wiki/Docs%3AModWebDAV

Revision 1.183  2006/10/11 10:00:14  glen
- rel 2: enabled lua

Revision 1.182  2006/10/10 00:33:01  glen
- 1.4.13

Revision 1.181  2006/10/07 12:58:04  qboosh
- pl for new subpackages

Revision 1.180  2006/10/05 11:00:53  glen
- rel 3

Revision 1.179  2006/10/05 10:57:06  glen
- cleanups, --enable-maintainer-mode

Revision 1.178  2006/10/04 23:32:16  aredridel
- add monit config

Revision 1.177  2006/09/26 11:36:03  glen
- apr1 patch usable, rel 2

Revision 1.176  2006/09/25 12:25:56  glen
- requires lua5.1, disable lua

Revision 1.175  2006/09/24 19:53:15  glen
- rel 1

Revision 1.174  2006/09/24 19:52:02  glen
- 1.4.12-RELEASE

Revision 1.173  2006/09/22 09:43:07  glen
- svn r1332

Revision 1.172  2006/09/21 15:15:04  glen
- PRE-RELEASE: lighttpd-1.4.12-r1327.

Revision 1.171  2006/09/19 12:36:28  glen
- -use_bin_sh.patch is back, no side effects for include_shell anymore

Revision 1.170  2006/09/18 22:52:47  glen
- drop obsolete -use_bin_sh.patch

Revision 1.169  2006/09/15 16:57:33  glen
- added mod_magnet module, dropped 1.5 only modules

Revision 1.168  2006/09/15 16:52:11  glen
- mod_uploadprogress didn't make into 1.4

Revision 1.167  2006/09/15 16:45:03  glen
- r1309 prerelease

Revision 1.166  2006/09/15 16:11:31  glen
- merged 1.4.12-20060907-1319 snapshot from DEVEL

Revision 1.154.2.26  2006/09/07 14:05:16  glen
- snapshot again ;) this version will be merged to HEAD soon

Revision 1.154.2.25  2006/09/06 23:04:46  glen
- per module URL-s dropped as they no longer exist

Revision 1.154.2.24  2006/09/06 22:58:47  glen
- back using svn snapshots (svn 1277, version 1.5.0) as 1.4.12 pre-release took
  different branch source
- uploadprogress module is back

Revision 1.154.2.23  2006/09/01 14:07:58  glen
- PRE-RELEASE: 1.4.12-20060901-1232

Revision 1.154.2.22  2006/07/26 08:35:41  glen
- use text format of the patch

Revision 1.154.2.21  2006/07/26 08:33:37  glen
- missingok for default homepage docs

Revision 1.154.2.20  2006/07/25 18:31:24  glen
- add apr1 patch

Revision 1.154.2.19  2006/07/24 14:32:40  glen
- include snapshot in release

Revision 1.154.2.18  2006/07/24 14:31:15  glen
- 1.4.12-20060724-0947 snapshot

Revision 1.154.2.17  2006/07/21 08:12:58  glen
- merge from HEAD:
  added R(pre) for addusertogroup (user_group.sh, usermod)

Revision 1.154.2.16  2006/07/20 18:06:51  glen
- annoying race

Revision 1.154.2.15  2006/07/19 22:27:09  glen
- svn 1211: mod_cgi crash solveed
- add mod_mysql_vhost.conf and enable mysql bcond

Revision 1.154.2.14  2006/07/18 10:19:57  glen
- up to svn 1199
- added -ssl package
- added mod_proxy_core package
- put mod_sql_vhost_core into mod_mysql_vhost package for now
- cleanups

Revision 1.154.2.13  2006/07/17 16:26:30  glen
- %verify for config files
- fix broken mod_trigger_b4_dl module package

Revision 1.154.2.12  2006/07/17 16:22:07  glen
- created -php-spawned and -php-external packages
- webserver(virtual) provides renamed to be shorter and less confusing

Revision 1.154.2.11  2006/07/11 20:42:04  glen
- initial webserver(virtual) provides

Revision 1.154.2.10  2006/07/11 20:00:59  glen
- config files from cvs

Revision 1.154.2.9  2006/07/11 19:24:37  glen
- use svn 1154; config appends work

Revision 1.154.2.8  2006/07/11 18:17:16  glen
- pointless upgradecheck dropped

Revision 1.154.2.7  2006/07/10 09:02:54  glen
- add missing module scripts

Revision 1.154.2.6  2006/07/10 09:01:25  glen
- three always loaded modules

Revision 1.154.2.5  2006/06/17 21:31:01  glen
- separated modules

Revision 1.154.2.4  2006/06/17 20:40:49  glen
- updated to 1.4.11 from HEAD
- added patch from ticket 475

Revision 1.154.2.3  2006/01/17 00:48:00  glen
- filed feature request

Revision 1.154.2.2  2006/01/16 22:39:50  aredridel
- change order of redirect

Revision 1.154.2.1  2006/01/16 21:50:20  glen
- proof of concept: config files for each module

Revision 1.165  2006/09/09 01:26:18  glen
- rel 4 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.164  2006/08/12 17:36:14  ankry
- formatting

Revision 1.163  2006/07/20 21:35:46  qboosh
- added R(pre) for addusertogroup (user_group.sh, usermod)

Revision 1.162  2006/07/12 08:10:00  paszczus
- added mod_evasive-status_code.patch (see: http://forum.lighttpd.net/topic/611#1702)
- release 3.1 to tests

Revision 1.161  2006/06/14 17:11:21  glen
- call initgroups(); rel 3

Revision 1.160  2006/04/14 15:10:57  glen
- rel 2

Revision 1.159  2006/04/06 11:37:23  glen
- add use_bin_sh patch

Revision 1.158  2006/03/09 19:14:17  glen
- up to 1.4.11, new plugin mod_flv_streaming

Revision 1.157  2006/02/19 10:01:14  paszczus
- added memory leak patch; rel 2

Revision 1.156  2006/02/19 09:50:50  paszczus
- added patch to enable mod_deflate

Revision 1.155  2006/02/08 15:05:20  glen
- 1.4.10 - bugfix release
- proxy-fix-redirects outdated?
- STBR

Revision 1.154  2006/01/15 11:23:29  glen
- use %posttrans scriptlet to restart webserver once and after all modules have
  been upgraded, so that webserver isn't restarted at the middle of upgrade
  which can make it die because version mismatch of not-yet-upgraded module
  package.
- rel 1

Revision 1.153  2006/01/15 10:08:42  paszczus
- updated to FINAL 1.4.9

Revision 1.152  2006/01/11 00:32:05  glen
- add /var/run/lighttpd for fcgi sockets storage
- webapps.d needs not to be accessible after server has been started
- don't own logs dir, but have it writable for lighttpd user

Revision 1.151  2006/01/10 21:25:49  glen
- service restart failure should not stop package upgrade (maybe add this to %service macro?)

Revision 1.150  2006/01/10 20:50:00  glen
- 1.4.9-20060104-1523 pre-release
- use %service to allow admin to skip restarts
- enable lua by default

Revision 1.149  2006/01/04 22:23:01  glen
- kill Provides: httpd

Revision 1.148  2005/12/30 10:19:17  aredridel
- add fix-redirects patch

Revision 1.147  2005/12/21 01:05:14  glen
- default config includes webapps.d
- rel 4

Revision 1.146  2005/11/27 14:27:45  glen
- rel 3

Revision 1.145  2005/11/27 14:16:19  ankry
- P: group(http)

Revision 1.144  2005/11/27 13:59:06  glen
- fixed useradd, rel 2

Revision 1.143  2005/11/27 12:15:10  ankry
- rel. 1.1: djurban, fix last change or revert it

Revision 1.142  2005/11/26 12:55:33  djurban
- fix the http group missing problem by creating the group, this way i can get rid of
  2005-11-26 12:51:15: (mod_fastcgi.c.804) bind failed for:
                 /var/run/php/php-fastcgi.sock-0 0 Permission denied
  Access: (0770/drwxrwx---)  Uid: (    0/    root)   Gid: (
                 51/ UNKNOWN)

Revision 1.141  2005/11/23 15:26:44  glen
- 1.4.8

Revision 1.140  2005/11/20 23:33:40  glen
- webapps dir (not implemented altho)
- unify %files

Revision 1.139  2005/11/18 00:13:50  glen
- rel 2, have fun

Revision 1.138  2005/11/16 17:35:34  glen
- add default homepage

Revision 1.137  2005/11/16 00:34:32  charles
- BR: pkgconfig, sorted BRs

Revision 1.136  2005/11/15 19:27:51  glen
- package lighttpd images and favicon

Revision 1.135  2005/11/15 14:06:57  glen
- mime.types is autogenerated from mailcap data

Revision 1.134  2005/11/14 17:00:27  glen
- fix valgrind BR bcond

Revision 1.133  2005/11/02 16:06:22  glen
- 1.4.7

Revision 1.132  2005/10/27 17:44:28  arekm
- rel 2

Revision 1.131  2005/10/10 13:54:38  glen
- 1.4.6

Revision 1.130  2005/10/06 11:24:25  eothane
- dirhide patch removed (use 'dir-listing.exclude')
- minor cosmetics

Revision 1.129  2005/10/03 06:38:56  glen
- 1.4.5

Revision 1.128  2005/09/16 14:55:19  glen
- check-files cleanup

Revision 1.127  2005/09/16 14:45:04  glen
- updated to 1.4.4
- mem-leak in the stat-cache fixed
- symlink removal while serving file bug fixed

Revision 1.126  2005/09/03 17:22:18  glen
- updated to 1.4.3

Revision 1.125  2005/08/29 16:57:35  aredridel
- up to 1.4.2

Revision 1.124  2005/08/26 21:29:59  qboosh
- pl for new mod_* subpackages

Revision 1.123  2005/08/25 06:40:33  aredridel
- add openssl fix (Changeset 621)

Revision 1.122  2005/08/22 15:18:39  glen
- add pkgconfig support for locating lua libs

Revision 1.121  2005/08/22 14:29:20  glen
- 1.4.1
- reviewed dependencies
- mod_webdav subpackage due extra deps

Revision 1.120  2005/08/20 16:07:43  arekm
- reenable xattr

Revision 1.119  2005/08/20 14:52:27  glen
- disable xattr, doesn't build with 1.4.0

Revision 1.118  2005/08/20 13:27:59  glen
- 1.4.0 release

Revision 1.117  2005/07/31 14:13:02  glen
- 1.3.16

Revision 1.116  2005/07/22 09:44:50  glen
- tidy up spec header of notes and todo and bconds

Revision 1.115  2005/07/21 22:04:11  glen
- separate modules which require extra deps to subpackages
- add lua and memcache deps for mod_cml
- mod_trigger_b4_dl also has optional memcached support

Revision 1.114  2005/07/15 18:55:59  aredridel
- up to 1.3.15

Revision 1.113  2005/07/10 19:31:24  glen
- sort BR

Revision 1.112  2005/06/26 23:11:17  aredridel
- added ssl-redirect-fix patch

Revision 1.111  2005/06/16 11:48:05  glen
- updated to 1.3.14

Revision 1.110  2005/06/16 11:21:01  glen
- fix CPPFLAGS passing

Revision 1.109  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.108  2005/04/21 08:32:07  glen
- valgrind bcond is back (see devel-en)
- use %useradd/%groupadd macros
- add request header print patch (ticket 101)

Revision 1.107  2005/04/19 08:01:42  glen
- valgrind bcond removed and enabled if debug is on
- add patch to set small fcgi_retry_timeout
- adapterized

Revision 1.106  2005/04/15 06:23:41  charles
- cosmetics (spaces -> tabs)

Revision 1.105  2005/04/14 19:02:08  aredridel
- added proxy error handler

Revision 1.104  2005/04/13 07:51:45  glen
- added fcgi-stderr-verbose patch
- rel 3

Revision 1.103  2005/03/07 19:03:52  eothane
- some silly cosmetics
- addedd 'hide from dirlisting' (dir-listing.hide = ) hack
  bconded (--with dirhack)
- release 2

Revision 1.102  2005/03/06 20:27:50  glen
- 1.3.13
  - added customizable directory listings
  - fixed compile error on all BSD unixes
  - fixed PATHINFO handling for FastCGI
  - fixed handling of remote-close on FreeBSD and OpenSSL

Revision 1.101  2005/03/02 14:12:48  eothane
- updated to 1.3.12, builds.
  from ChangeLog:
  * added ssl.ca-file
  * added support for \n\n as terminator
  * rewrote test-framework and added more tests
  * fixed cgi.assign with empty handler
  * fixed segfault in debug-code
  * fixed mod_expire if modification-timestamps are used
  * fixed segfault on duplication Host-headers
  * fixed endless loop in mod_fastcgi
  * fixed handling of dead fastcgi-processes

Revision 1.100  2005/02/27 12:32:59  glen
- add patch for issue #31; rel 2

Revision 1.99  2005/02/21 09:19:55  glen
- empty cgi.assign patch is back

Revision 1.98  2005/02/20 20:01:29  glen
- 1.3.11

Revision 1.97  2005/02/13 17:15:43  glen
- fixes for issues #10 and #11
- adapterized
- rel 3

Revision 1.96  2005/02/07 21:22:18  glen
- empty cgi.assign handler patch
- rel 2

Revision 1.95  2005/02/06 15:43:54  glen
- removed mod-{chat,cache,localizer} no longer there
- valgrind bcond with configure option

Revision 1.94  2005/02/06 15:18:30  glen
- updated to 1.3.10

Revision 1.93  2005/02/06 03:17:51  glen
- updated to 1.3.9

Revision 1.92  2005/02/04 22:16:17  glen
- added pathinfo patch

Revision 1.91  2005/02/04 01:45:16  glen
- added nph fix
- STBR this already

Revision 1.90  2005/02/02 11:39:35  glen
- bcond for ssl

Revision 1.89  2005/02/02 00:21:20  aredridel
- up to 1.3.8 final

Revision 1.88  2005/02/01 22:01:11  glen
- rel 1
- STBR

Revision 1.87  2005/02/01 21:27:29  glen
- fix md5, it was okay before

Revision 1.86  2005/02/01 21:20:12  glen
- spawn-php.sh moved to spawn-fcgi package
- typo fix
- updated md5
- rm installed .la files

Revision 1.85  2005/02/01 21:16:24  charles
- updated to 1.3.8
- removed all patches (obsolete)
- without ipv6 bcond
- added %{_lighttpddir}/html dir (config default)

Revision 1.84  2005/01/28 19:26:28  glen
- fix for wrong socket call in HTTP/1.0 redirects

Revision 1.83  2005/01/28 18:58:23  glen
- -write-EINTR.patch

Revision 1.82  2005/01/16 17:21:45  glen
- better snapshot support

Revision 1.81  2005/01/14 12:13:11  glen
- readpost timeout patch, fcgi fdevent err patch (wow. works for me now)

Revision 1.80  2005/01/12 22:54:36  glen
- add fix for mod_status (average requests miscalculated)

Revision 1.79  2005/01/12 21:49:19  glen
- add patch to prevent crashing when fcgi process dies

Revision 1.78  2005/01/12 21:14:13  glen
- valgrind bcond

Revision 1.77  2005/01/10 23:31:59  glen
- without largefile bcond
- updated URL

Revision 1.76  2005/01/10 23:01:01  glen
- typo in snapshot url

Revision 1.75  2005/01/10 19:56:34  glen
- add patch to fix /server-status not being recognized
- update source urls

Revision 1.74  2005/01/10 19:03:41  glen
- added .sysconfig

Revision 1.73  2005/01/10 02:27:21  glen
- remove __gettextize. added by accident

Revision 1.72  2005/01/10 02:24:54  glen
- update license for spawn-fcgi

Revision 1.71  2005/01/10 02:24:01  glen
- create spawn-fcgi package
- permissions for auth files

Revision 1.70  2005/01/10 01:53:40  glen
- update TODO

Revision 1.69  2005/01/10 01:52:49  glen
- add ldap and mysql bconds
- add TODO
- fix typo

Revision 1.68  2005/01/10 01:40:43  aredridel
- remove mistaken experimental patch

Revision 1.67  2005/01/10 01:40:11  aredridel
- fix perms on sysconfdir

Revision 1.66  2005/01/10 00:45:28  glen
- fix bcond comment

Revision 1.65  2005/01/10 00:09:56  glen
- add sample server config to %doc (in case package one gets outdated again)

Revision 1.64  2005/01/06 23:04:52  glen
- add more %doc

Revision 1.63  2004/12/11 16:45:00  serek
- new stable version with distfiles.

Revision 1.62  2004/12/11 16:43:46  serek
- new stable version.

Revision 1.61  2004/11/06 18:03:00  serek
- patch removed.

Revision 1.60  2004/11/06 17:57:26  serek
- amd64 patch welcome back.

Revision 1.59  2004/11/04 18:19:23  serek
- ver 1.3.6 current.

Revision 1.58  2004/11/02 11:22:38  serek
- typo in rel.

Revision 1.57  2004/11/02 11:16:16  serek
- new 20041102-1041 prerelease, fixed serveral bugs.

Revision 1.56  2004/11/02 10:59:12  serek
- removed amd64 temporary patch, please test the server without it and report any problems directly to me.

Revision 1.55  2004/10/31 15:04:54  mwinkler
- updated to 1.3.5, rel 0.1
- new modules: userdir, alias

Revision 1.54  2004/10/29 09:27:53  paladine
- "HTTP" and "HTTPS" unification

Revision 1.53  2004/10/25 20:54:30  qboosh
- made last commit message more useful (added version)

Revision 1.52  2004/10/24 22:01:36  serek
- new stable version.
  [1.3.4]

Revision 1.51  2004/10/22 07:46:57  serek
- new prerelease.

Revision 1.50  2004/10/17 18:59:31  qboosh
- update note, release 1 not 1.0

Revision 1.49  2004/10/17 16:00:07  serek
- we like soft like that.
  [1.3.3]

Revision 1.48  2004/10/15 19:33:07  qboosh
- added version info to rev 1.46 commit message to make it more useful

Revision 1.47  2004/10/15 13:22:54  ankry
- %userremove/%groupremove support, some standarization

Revision 1.46  2004/10/11 08:02:17  serek
- new prerelease.
  [1.3.3-20041010]

Revision 1.45  2004/10/07 13:43:03  serek
- current version.

Revision 1.44  2004/09/26 21:34:30  kolodko
- added macros in /etc/logrotate.d

Revision 1.43  2004/09/11 20:28:15  aredridel
- up to 1.2.8
- license is BSD

Revision 1.42  2004/09/06 09:55:22  serek
- reversed without-attr cond build, it was mistake, sorry, corrected conditional BR.

Revision 1.41  2004/09/05 11:58:34  serek
- patch for temporary elimination of LINUX_SENDFILE on amd64 platform, author is working on it.

Revision 1.40  2004/09/05 11:47:11  serek
- real remove of attr conditional patch,
- functional conditional config support via patch0.

Revision 1.39  2004/09/05 05:16:11  aredridel
- up to 1.2.7 final
- remove xattr patch (merged upstream)

Revision 1.38  2004/09/02 00:22:39  twittner
- added bcond_without xattr
- use one more macro

Revision 1.37  2004/09/01 23:00:22  arekm
- there is no mysql code in lighttpd

Revision 1.36  2004/08/30 02:11:54  aredridel
- xattr patch is back

Revision 1.35  2004/08/29 13:06:15  serek
- prerelease: 20040829-1207

Revision 1.34  2004/08/28 22:04:06  aredridel
- enable attr patch

Revision 1.33  2004/08/28 22:03:38  aredridel
- added xattr patch

Revision 1.32  2004/08/27 13:49:27  areq
- 1.2.6

Revision 1.31  2004/08/23 08:38:10  qboosh
- made last changelog entry useful

Revision 1.30  2004/08/22 15:21:38  serek
- new prerelease, fixes several important bugs.
  [1.2.6-20040822-1633]

Revision 1.29  2004/08/21 09:17:27  serek
- virtual servers logging into different files.

Revision 1.28  2004/08/08 19:33:17  serek
- important patches.

Revision 1.27  2004/08/01 01:50:14  aredridel
- up to 1.2.4

Revision 1.26  2004/07/11 07:21:37  serek
- final rev for current stable version.

Revision 1.25  2004/07/06 16:37:04  serek
- oops, it is not final rel.

Revision 1.24  2004/07/06 16:33:39  emes
- new important functions as eg. logging via a program.

Revision 1.23  2004/06/15 21:24:44  paszczus
- removed patch0
- release 1

Revision 1.22  2004/06/15 20:37:51  paszczus
- updated to 1.2.2

Revision 1.21  2004/05/30 14:10:53  mwinkler
- updated to 1.2.1

Revision 1.20  2004/05/21 08:57:13  serek
- tested and approved.

Revision 1.19  2004/05/21 00:09:56  arekm
- ssl builds

Revision 1.18  2004/05/17 13:02:38  paszczus
- updated to 1.2.0

Revision 1.17  2004/05/16 15:59:42  serek
- proper id for logging.

Revision 1.16  2004/05/16 15:49:13  serek
- apache and lighttpd on one server - another typo.

Revision 1.15  2004/05/16 15:47:22  serek
- apache and lighttpd on one server - typo.

Revision 1.14  2004/05/16 15:40:03  serek
- apache and lighttpd on one server.

Revision 1.13  2004/05/07 23:13:16  mwinkler
- added logrotate

Revision 1.12  2004/05/07 22:27:11  mwinkler
- updated to 1.1.9
- removed configure.patch

Revision 1.11  2004/04/16 21:28:37  mwinkler
- updated to 1.1.8

Revision 1.10  2004/04/14 10:08:58  agaran
- update to 1.1.7

Revision 1.9  2004/04/11 09:07:10  serek
- upgrade to 1.1.6, but it still does not build on my server.

Revision 1.8  2004/04/07 14:09:37  mwinkler
- patch: (network_linux_sendfile.c.110) sendfile:  Function not implemented 38 (WHY?)

Revision 1.7  2004/04/07 09:39:42  mwinkler
- update to 1.1.5

Revision 1.6  2004/03/25 20:42:27  qboosh
- unifications, pl fixes

Revision 1.5  2004/03/25 18:53:48  arekm
- add directory for logs

Revision 1.4  2004/03/25 18:29:33  averne
- added configure patch

Revision 1.3  2004/03/25 13:50:14  arekm
- fix license, build shared objects, use external configs

Revision 1.2  2004/03/25 01:37:36  troll
- fixed paths
- polish description
- typos

Revision 1.1  2004/03/24 23:47:20  arekm
- new, nice http server (php support, separate uid/gid)
